package com.armcloud.armcloudsdkdemo.dialog

import android.content.Context
import android.os.Bundle
import android.util.Log
import androidx.appcompat.app.AlertDialog
import androidx.appcompat.widget.AppCompatButton
import androidx.recyclerview.widget.LinearLayoutManager
import androidx.recyclerview.widget.RecyclerView
import com.armcloud.armcloudsdkdemo.R
import com.cloud.vmoscloudsdk.adapter.MultiCodeAdapter
import com.armcloud.armcloudsdkdemo.dtos.MultiPadCodeDto

class MultiPadCodesPop(context: Context) : AlertDialog(context) {

    private var mMultiCodeAdapter: MultiCodeAdapter? = null
    private var mItemClickListener: OnItemCLickListener? = null
    private var mList: MutableList<MultiPadCodeDto>? = null

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.multi_pop_romcode)
        initView()
        setListener()
    }

    private fun initView() {
        val rvList = findViewById<RecyclerView>(R.id.rv_list)
        rvList?.layoutManager = LinearLayoutManager(context)
        mMultiCodeAdapter = MultiCodeAdapter()
        rvList?.adapter = mMultiCodeAdapter
        mMultiCodeAdapter?.submitList(mList)
    }

    private fun setListener() {
        mMultiCodeAdapter?.setOnItemClickListener { adapter, view, position ->
            val item = mMultiCodeAdapter?.getItem(position) ?: return@setOnItemClickListener
            item.isCheck = !item.isCheck
            Log.e("am", "item.isCheck ===> ${item.isCheck}")
            mMultiCodeAdapter?.notifyItemChanged(position)
        }
        findViewById<AppCompatButton>(R.id.btn_cancel)?.setOnClickListener {
            dismiss()
        }
        findViewById<AppCompatButton>(R.id.btn_confirm)?.setOnClickListener {
            Log.e("am", "btn_confirm ===> ${mMultiCodeAdapter?.items}")
            val checkPadCodes = mMultiCodeAdapter?.items?.filter {
                it.isCheck
            }?.map {
                it.padCode
            } ?: return@setOnClickListener
            this.mItemClickListener?.onItemCLick(checkPadCodes)
            dismiss()
        }
    }

    fun updateList(mList: MutableList<MultiPadCodeDto>?) {
        this.mList = mList
        mMultiCodeAdapter?.submitList(mList)
    }

    fun getList(): MutableList<MultiPadCodeDto>? {
        return this.mList
    }

    fun setOnItemCLickListener(itemCLickListener: OnItemCLickListener) {
        this.mItemClickListener = itemCLickListener
    }

    interface OnItemCLickListener {
        fun onItemCLick(multiPadCodeDtoList: List<String>)
    }
}