package com.armcloud.armcloudsdkdemo.dialog

import android.content.Context
import android.os.Bundle
import androidx.appcompat.app.AlertDialog
import androidx.appcompat.widget.AppCompatButton
import androidx.recyclerview.widget.LinearLayoutManager
import androidx.recyclerview.widget.RecyclerView
import com.armcloud.armcloudsdkdemo.R
import com.armcloud.armcloudsdkdemo.adapter.PhoneListAdapter

class RomCodePop(context: Context) : AlertDialog(context) {

    private var mPhoneListAdapter: PhoneListAdapter? = null
    private var mItemClickListener: OnItemCLickListener? = null
    private var mList: MutableList<String>? = null

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.pop_romcode)
        val rvList = findViewById<RecyclerView>(R.id.rv_list)
        rvList?.layoutManager = LinearLayoutManager(context)

        mPhoneListAdapter = PhoneListAdapter()
        rvList?.adapter = mPhoneListAdapter
        mPhoneListAdapter?.submitList(mList)
        mPhoneListAdapter?.setOnItemClickListener { adapter, view, position ->
            val str = mPhoneListAdapter?.getItem(position) ?: ""
            mItemClickListener?.onItemCLick(str)
            dismiss()
        }

        findViewById<AppCompatButton>(R.id.btn_cancel)?.setOnClickListener {
            dismiss()
        }
    }

    fun updateList(mList: MutableList<String>?) {
        this.mList = mList
        mPhoneListAdapter?.submitList(mList)
    }

    fun getList(): MutableList<String>? {
        return this.mList
    }

    fun setOnItemCLickListener(itemCLickListener: OnItemCLickListener) {
        this.mItemClickListener = itemCLickListener
    }

    interface OnItemCLickListener {
        fun onItemCLick(str: String)
    }
}